Subject: [RFC] IP_RECVERRC

From: jamal <[email-masked]>
Date: Fri, 10 Aug 2007 09:35:12 -0400

It seems there are a lot of dumbass apps (latest i have found is iperf
when analyzing batching results) out there whose performance is affected
if they dont set IP_RECVERR. 
If you set that option though you end up getting all these skbs back
to the app which i see as unnecessary work if i am uninterested. I would
like to not do a recvmsg to find out what those messages are - rather
just receiving any errors back.
My proposal is to add another option which is mutually exclusive with
IP_RECVERR that allows for errors only.
Can i get a ye before i implement?

Andi, CCing you because i think you may be the person who added
IP_RECVERR (at least the first time i heard it a few years back was from
you).

cheers,
jamal